<script setup lang="ts">
import DynamicFormItemContainer, { type DynamicFormItemContainerProps } from './DynamicFormItemContainer.vue';

defineProps<DynamicFormItemContainerProps>()
defineEmits(['update:model'])
defineOptions({
  options: {
    virtualHost: true,
  }
})
</script>

<template>
  <DynamicFormItemContainer v-bind="($props as any)" @update:model="(val) => $emit('update:model', val)">
    <template #formCeil="values">
      <slot name="formCeil" :data="values.data" />
    </template>
  </DynamicFormItemContainer>
</template>
